using Microsoft.Xna.Framework;
using MLEM.Misc;
using ThemeParkClicker;

namespace Desktop {
    public static class Program {

        public static void Main() {
            TextInputWrapper.Current = new TextInputWrapper.DesktopGl<TextInputEventArgs>((w, c) => w.TextInput += c);
            using var game = new GameImpl();
            game.GraphicsDeviceManager.PreferredBackBufferWidth = 1080 / 3;
            game.GraphicsDeviceManager.PreferredBackBufferHeight = 1920 / 3;
            game.IsMouseVisible = true;
            game.Run();
        }

    }
}